package serverapi

import "fmt"

// Plugin is a Minecraft plugin
type Plugin struct {
	Name    string   `json:"name"`
	Version string   `json:"version"`
	Website string   `json:"website"`
	Authors []string `json:"authors"`
}

// Plugins returns a list of Plugin from a ServerAPI instance
func (c *Client) Plugins() (plugins Plugins, err error) {
	return plugins, c.json(fmt.Sprintf("%s/plugins", c.Endpoint), &plugins)
}
